# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.CharacterAppearanceData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.CharacterAppearanceData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.CharacterAppearanceData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# CharacterAppearanceData 

###
Companion class CharacterAppearanceData

#### object CharacterAppearanceData extends Marshallable[CharacterAppearanceData] with Serializable

Source
  CharacterAppearanceData.scala

Linear Supertypes
Serializable, Marshallable[CharacterAppearanceData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CharacterAppearanceData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class ExtraData (unk1: Boolean, unk2: Boolean) extends StreamBitSize with Product with Serializable

   na

   na

   unk1

     na

   unk2

     na

2.  final case class ZiplineData (unk1: Long, unk2: Boolean) extends StreamBitSize with Product with Serializable

   na

   na

   unk1

     na

   unk2

     na

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def a_codec(name_padding: Int): Codec[CharacterAppearanceA]

   na

   na

   name_padding

     na

   returns

     na

5.  def altModelBit(app: CharacterAppearanceData): Option[Int]

   When a player is released-dead or attached to a zipline, their basic infantry model is replaced with a different one.

   When a player is released-dead or attached to a zipline, their basic infantry model is replaced with a different one. In the former case, a backpack. In the latter case, a ball of colored energy. In this state, the length of the stream of data is modified.

   app

     the appearance

   returns

     the length of the variable field that exists when using alternate models

6.  def apply(a: (Int) => CharacterAppearanceA, b: (Boolean, Int) => CharacterAppearanceB, ribbons: RibbonBars)(name_padding: Int): CharacterAppearanceData
7.  def apply(app: BasicCharacterData, black_ops: Boolean, jammered: Boolean, exosuit: types.ExoSuitType.Value, outfit_name: String, outfit_logo: Int, backpack: Boolean, facingPitch: Float, facingYawUpper: Float, lfs: Boolean, grenade_state: types.GrenadeState.Value, is_cloaking: Boolean, charging_pose: Boolean, on_zipline: Option[ZiplineData], ribbons: RibbonBars)(name_padding: Int): CharacterAppearanceData
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def b_codec(alt_model: Boolean, name_padding: Int): Codec[CharacterAppearanceB]

   na

   na

   alt_model

     na

   name_padding

     na

   returns

     na

10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def codec(name_padding: Int): Codec[CharacterAppearanceData]
12.  implicit val codec: Codec[CharacterAppearanceData]
    Definition Classes
      CharacterAppearanceData → Marshallable
13.  def decode(a: BitVector): Attempt[DecodeResult[CharacterAppearanceData]]
    Definition Classes
      Marshallable
14.  def encode(a: CharacterAppearanceData): Attempt[BitVector]
    Definition Classes
      Marshallable
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def namePadding(inheritPad: Int, pad: Option[CommonFieldDataExtra]): Int
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  def outfitNamePadding: Int

    Get the padding of the outfit's name.

    Get the padding of the outfit's name. The padding will always be a number 0-7.

    returns

      the pad length in bits

26.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
27.  def toString(): String
    Definition Classes
      AnyRef → Any
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[CharacterAppearanceData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped